Skip to main content
GET
/
api
/
public
/
v2
/
bookings
cURL
curl --location 'https://www.headout.com/api/public/v2/bookings/?offset=0&limit=20' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
  "items": [
    {
      "bookingId": "126890",
      "partnerReferenceId": "AX67873DDFSR",
      "variantId": "25525",
      "status": "PENDING",
      "startDateTime": "2025-04-12T19:30:00",
      "product": {
        "id": "18969",
        "name": "Bali Swing Experience",
        "variant": {
          "id": "25525",
          "name": "Standard Entry"
        }
      },
      "customersDetails": {
        "count": 1,
        "customers": [
          {
            "personType": "ADULT",
            "isPrimary": true,
            "inputFields": [
              {
                "id": "NAME",
                "name": "Name",
                "value": "John Doe"
              },
              {
                "id": "EMAIL",
                "name": "Email",
                "value": "john@example.com"
              },
              {
                "id": "PHONE",
                "name": "Phone",
                "value": "+14155551234"
              }
            ]
          }
        ]
      },
      "seatInfo": null,
      "variantInputFields": [],
      "price": {
        "amount": 77.08,
        "currencyCode": "USD"
      },
      "creationTimestamp": 1712953295,
      "voucherUrl": "https://www.headout.com/voucher/126890?key=AAAD6AAAABhsDVGl...",
      "tickets": [
        {
          "publicId": "9e4d8330-abc7-40f8-951d-19b9e8731dcf",
          "url": null,
          "type": "QRCODE"
        }
      ]
    }
  ],
  "nextUrl": "/api/public/v2/bookings/?offset=20&limit=20",
  "prevUrl": null,
  "total": 100,
  "nextOffset": 20
}

Authorizations

Headout-Auth
string
header
required

Query Parameters

offset
integer
default:0

Number of bookings to skip for pagination.

limit
integer
default:20

Number of bookings to return per page. Maximum is 20. Values above 20 are capped to 20.

Required range: x <= 20

Response

Successful response

items
object[]

The bookings in this page of results.

nextUrl
string | null

Full URL to fetch the next page of results. Null if on the last page.

prevUrl
string | null

Full URL to fetch the previous page of results. Null if on the first page.

total
integer

Total number of bookings associated with your partner account.

nextOffset
integer

Offset value to use in the next request to retrieve the following page.